CVE-2006-2315
CVSS7.5
发布时间 :2006-05-11 20:02:00
修订时间 :2011-08-10 00:00:00
NMCO    

[原文]** DISPUTED ** PHP remote file inclusion vulnerability in session.inc.php in ISPConfig 2.2.2 and earlier allows remote attackers to execute arbitrary PHP code via a URL in the go_info[server][classes_root] parameter. NOTE: the vendor has disputed this vulnerability, saying that session.inc.php is not under the web root in version 2.2, and register_globals is not enabled.


[CNNVD]ISPConfig Session.INC.PHP 远程文件包含漏洞(CNNVD-200605-203)

        ** 有争议 ** ISPConfig 2.2.2及之前版本的session.inc.php存在PHP远程文件包含漏洞。远程攻击者可以借助 go_info[server][classes_root]参数中的URL,执行任意PHP代码。 注:厂商对此漏洞提出反驳,声称session.inc.php不在root in version 2.2版本的 web 根目录下,而register_globals并未启用。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-94 [对生成代码的控制不恰当(代码注入)]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2315
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2315
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-203
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/26299
(UNKNOWN)  XF  ispconfig-session-inc-file-include(26299)
http://www.xorcrew.net/xpa/XPA-ISPConfig.txt
(VENDOR_ADVISORY)  MISC  http://www.xorcrew.net/xpa/XPA-ISPConfig.txt
http://www.vupen.com/english/advisories/2006/1727
(VENDOR_ADVISORY)  VUPEN  ADV-2006-1727
http://www.securityfocus.com/bid/17909
(UNKNOWN)  BID  17909
http://www.securityfocus.com/archive/1/archive/1/437456/100/200/threaded
(UNKNOWN)  BUGTRAQ  20060616 Re: [Bugtraq ID: 17909] ISPConfig Session.INC.PHP Remote File Include Vulnerability
http://www.osvdb.org/25355
(UNKNOWN)  OSVDB  25355
http://www.howtoforge.com/forums/showthread.php?t=4123
(UNKNOWN)  MISC  http://www.howtoforge.com/forums/showthread.php?t=4123
http://secunia.com/advisories/19994
(VENDOR_ADVISORY)  SECUNIA  19994
http://milw0rm.com/exploits/1762
(UNKNOWN)  MILW0RM  1762
http://lists.grok.org.uk/pipermail/full-disclosure/2006-May/045855.html
(UNKNOWN)  FULLDISC  20060507 [XPA] - ISPConfig <= 2.2.2 - Remote Command Execution Vulnerability

- 漏洞信息

ISPConfig Session.INC.PHP 远程文件包含漏洞
高危 输入验证
2006-05-11 00:00:00 2006-12-06 00:00:00
远程  
        ** 有争议 ** ISPConfig 2.2.2及之前版本的session.inc.php存在PHP远程文件包含漏洞。远程攻击者可以借助 go_info[server][classes_root]参数中的URL,执行任意PHP代码。 注:厂商对此漏洞提出反驳,声称session.inc.php不在root in version 2.2版本的 web 根目录下,而register_globals并未启用。

- 公告与补丁

        暂无数据

- 漏洞信息

25355
ISPConfig /lib/session.inc.php go_info[server][classes_root] Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Vendor Verified

- 漏洞描述

ISPConfig has been reported to contain a flaw that may allow a remote attacker to execute arbitrary commands. The issue is supposedly due to the session.inc.php script not properly sanitizing user input supplied to the 'go_info' variable. The vendor has disputed this disclosure citing several reasons it can not be exploited including the requirement of a non-default PHP option as well as the script location after installation.

- 时间线

2006-05-06 Unknow
2006-05-06 Unknow

- 解决方案

The vulnerability reported is incorrect. No solution required.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站